Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in MozillaThunderbird
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in MozillaThunderbird
ID: openSUSE-SU-2018:2658-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 42.3, SUSE openSUSE Leap 15.0
Datum: Sa, 8. September 2018, 21:29
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12371
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-5187
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-5156
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-5188
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12361
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12362
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12367
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12365
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12359
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12364
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12366
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12363
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12360
Applikationen: Mozilla Thunderbird

Originalnachricht

   openSUSE Security Update: Security update for MozillaThunderbird
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:2658-1
Rating: important
References: #1084603 #1098998
Cross-References: CVE-2018-12359 CVE-2018-12360 CVE-2018-12361
CVE-2018-12362 CVE-2018-12363 CVE-2018-12364
CVE-2018-12365 CVE-2018-12366 CVE-2018-12367
CVE-2018-12371 CVE-2018-5156 CVE-2018-5187
CVE-2018-5188
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 15.0
______________________________________________________________________________

An update that fixes 13 vulnerabilities is now available.

Description:

This update for MozillaThunderbird to version 60.0 fixes the following
issues:

These security issues were fixed:

- CVE-2018-12359: Prevent buffer overflow using computed size of canvas
element (bsc#1098998).
- CVE-2018-12360: Prevent use-after-free when using focus() (bsc#1098998).
- CVE-2018-12361: Prevent integer overflow in SwizzleData (bsc#1098998).
- CVE-2018-12362: Prevent integer overflow in SSSE3 scaler (bsc#1098998).
- CVE-2018-5156: Prevent media recorder segmentation fault when track type
is changed during capture (bsc#1098998).
- CVE-2018-12363: Prevent use-after-free when appending DOM nodes
(bsc#1098998).
- CVE-2018-12364: Prevent CSRF attacks through 307 redirects and NPAPI
plugins (bsc#1098998).
- CVE-2018-12365: Prevent compromised IPC child process listing local
filenames (bsc#1098998).
- CVE-2018-12371: Prevent integer overflow in Skia library during edge
builder allocation (bsc#1098998).
- CVE-2018-12366: Prevent invalid data handling during QCMS
transformations (bsc#1098998).
- CVE-2018-12367: Timing attack mitigation of PerformanceNavigationTiming
(bsc#1098998).
- CVE-2018-5187: Various memory safety bugs (bsc#1098998).
- CVE-2018-5188: Various memory safety bugs (bsc#1098998).

These can not, in general, be exploited through email, but are potential
risks in browser or browser-like contexts.

These non-security issues were fixed:

- Storing of remote content settings fixed (bsc#1084603)
- Improved message handling and composing
- Improved handling of message templates
- Support for OAuth2 and FIDO U2F
- Various Calendar improvements
- Various fixes and changes to e-mail workflow
- Various IMAP fixes
- Native desktop notifications


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-994=1

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2018-994=1



Package List:

- openSUSE Leap 42.3 (x86_64):

MozillaThunderbird-60.0-74.1
MozillaThunderbird-buildsymbols-60.0-74.1
MozillaThunderbird-debuginfo-60.0-74.1
MozillaThunderbird-debugsource-60.0-74.1
MozillaThunderbird-translations-common-60.0-74.1
MozillaThunderbird-translations-other-60.0-74.1

- openSUSE Leap 15.0 (x86_64):

MozillaThunderbird-60.0-lp150.3.14.1
MozillaThunderbird-buildsymbols-60.0-lp150.3.14.1
MozillaThunderbird-debuginfo-60.0-lp150.3.14.1
MozillaThunderbird-debugsource-60.0-lp150.3.14.1
MozillaThunderbird-translations-common-60.0-lp150.3.14.1
MozillaThunderbird-translations-other-60.0-lp150.3.14.1


References:

https://www.suse.com/security/cve/CVE-2018-12359.html
https://www.suse.com/security/cve/CVE-2018-12360.html
https://www.suse.com/security/cve/CVE-2018-12361.html
https://www.suse.com/security/cve/CVE-2018-12362.html
https://www.suse.com/security/cve/CVE-2018-12363.html
https://www.suse.com/security/cve/CVE-2018-12364.html
https://www.suse.com/security/cve/CVE-2018-12365.html
https://www.suse.com/security/cve/CVE-2018-12366.html
https://www.suse.com/security/cve/CVE-2018-12367.html
https://www.suse.com/security/cve/CVE-2018-12371.html
https://www.suse.com/security/cve/CVE-2018-5156.html
https://www.suse.com/security/cve/CVE-2018-5187.html
https://www.suse.com/security/cve/CVE-2018-5188.html
https://bugzilla.suse.com/1084603
https://bugzilla.suse.com/1098998

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung